API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class StatusBar

Package | ch.unil.cbg.ExpressionView.view
Class | public class StatusBar
Inheritance | StatusBar mx.containers.Canvas

Public Properties

| Property | Defined by
--- | --- | ---
|  | status : String = "" | StatusBar

Public Methods

| Method | Defined by
--- | --- | ---
|  | StatusBar() | StatusBar

Protected Methods

| Method | Defined by
--- | --- | ---
|  | commitProperties():void | StatusBar
|  | createChildren():void | StatusBar
|  | updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void | StatusBar

Property detail

status | property

`public var status:String = ""`
Constructor detail

StatusBar | () | constructor

`public function StatusBar()`
Method detail

commitProperties | () | method

`protected override function commitProperties():void`

createChildren | () | method |

`protected override function createChildren():void`

updateDisplayList | () | method |

`protected override function updateDisplayList(unscaledWidth:Number, unscaledHeight:Number):void` Parameters

| `unscaledWidth:Number`
| `unscaledHeight:Number`